var alivenow = alivenow || {};
alivenow.Game = (function () {
    function Game() {};
    Game.prototype.preload = function () {};
    Game.prototype.create = function () {
        this.deviceShown = false;
        Game.gameObj = this;
        this.game.add.sprite(0, 0, "BG");
        this.question = this.add.group();
        jsonQ = JSON.parse(this.game.cache.getText('ques'));
        this.Que = new Phaser.BitmapText(this.game, 0, 200, "font1", jsonQ.ques.q1.question.toUpperCase(), 55);
        this.Que.align = 'center';
        this.Que.x = this.game.width / 2 - this.Que.textWidth / 2;
        this.question.addChild(this.Que);
        this.AnimAns1 = this.game.add.sprite(100, jsonQ.ques.q1.y1, jsonQ.ques.q1.animName1);
        this.AnimAns1.scale.setTo(1.5, 1.5);
        this.AnimAns1.animations.add('headphone', Phaser.Animation.generateFrameNames('radio00', 01, jsonQ.ques.q1.frameEnd1), 120, false);
        this.AnimAns1.animations.play('headphone');
        this.AnimAns2 = this.game.add.sprite(380, jsonQ.ques.q1.y2, jsonQ.ques.q1.animName2);
        this.AnimAns2.scale.setTo(1.5, 1.5);
        this.AnimAns2.animations.add('radio', Phaser.Animation.generateFrameNames('radio00', 01, jsonQ.ques.q1.frameEnd1), 120, false);
        this.AnimAns2.animations.play('radio');
        this.answer = this.add.group();
        this.Ans1 = new Phaser.BitmapText(this.game, 105, 620, "font1", jsonQ.ques.q1.opt1.toUpperCase(), 45);
        this.Ans2 = new Phaser.BitmapText(this.game, 400, 620, "font1", jsonQ.ques.q1.opt2.toUpperCase(), 45);
        this.answer.addChild(this.Ans1);
        this.answer.addChild(this.Ans2);
        this.rectGrap1 = this.game.add.graphics(0, 0);
        this.rectGrap1.beginFill(0xffffff, 0);
        this.rectGrap1.drawRect(80, 615, 230, 170);
        this.rectGrap1.endFill();
        this.rectGrap1.inputEnabled = true;
        this.rectGrap1.events.onInputDown.addOnce(this.NextQue, {
            param1: "Ans1"
            , param2: jsonQ.ques.q1.opt1.toUpperCase()
        });
        this.rectGrap2 = this.game.add.graphics(0, 0);
        this.rectGrap2.beginFill(0xffffff, 0);
        this.rectGrap2.drawRect(380, 615, 230, 170);
        this.rectGrap2.endFill();
        this.rectGrap2.inputEnabled = true;
        this.rectGrap2.events.onInputDown.addOnce(this.NextQue, {
            param1: "Ans2"
            , param2: jsonQ.ques.q1.opt2.toUpperCase()
        });
        alivenow.Global.QueCount = 1;
        _server.send(alivenow.Global.URL_FCOUNT, Game.prototype.ShowCount, null, {
            uniqID: alivenow.Global.existuid
        });
    };
    Game.prototype.update = function () {}
    Game.prototype.onSuccess = function (c) {
        console.log(c);
    }
    Game.prototype.NextQue = function (v) {
        switch (this.param1) {
        case "Ans1":
            _server.send(alivenow.Global.URL_DATA, Game.gameObj.onSuccess, null, {
                uniqID: alivenow.Global.U_ID
                , answer: 'A'
                , queNo: 'q' + alivenow.Global.QueCount
                , saveType: "ques"
            });
            arrow = Game.gameObj.game.add.sprite(40, 630, "arrow");
            Game.gameObj.Ans1.tint = '0xffff00';
            Game.gameObj.rectGrap2.events.onInputDown.removeAll();
            Game.gameObj.AnimAns1.animations.stop();
            Game.gameObj.AnimAns2.animations.stop();
            var anim = Game.gameObj.AnimAns1.animations.add('headphone', Phaser.Animation.generateFrameNames('radio00', 45, 99), 120, false);
            Game.gameObj.AnimAns1.animations.play('headphone');
            Game.gameObj.AnimAns2.animations.add('radio', Phaser.Animation.generateFrameNames('radio00', 45, 99), 120, false);
            Game.gameObj.AnimAns2.animations.play('radio');
            anim.onComplete.add(Game.gameObj.animationStopped);
            break;
        case "Ans2":
            _server.send(alivenow.Global.URL_DATA, Game.gameObj.onSuccess, null, {
                uniqID: alivenow.Global.U_ID
                , answer: 'B'
                , queNo: 'q' + alivenow.Global.QueCount
                , saveType: "ques"
            });
            arrow = Game.gameObj.game.add.sprite(340, 630, "arrow");
            Game.gameObj.Ans2.tint = '0xffff00';
            Game.gameObj.rectGrap1.events.onInputDown.removeAll();
            Game.gameObj.AnimAns1.animations.stop();
            Game.gameObj.AnimAns2.animations.stop();
            var anim = Game.gameObj.AnimAns1.animations.add('headphone', Phaser.Animation.generateFrameNames('radio00', 45, 99), 120, false);
            Game.gameObj.AnimAns1.animations.play('headphone');
            Game.gameObj.AnimAns2.animations.add('radio', Phaser.Animation.generateFrameNames('radio00', 45, 99), 120, false);
            Game.gameObj.AnimAns2.animations.play('radio');
            anim.onComplete.add(Game.gameObj.animationStopped);
            break
        case "default":
            break;
        }
    }
    Game.prototype.animationStopped = function () {
        alivenow.Global.QueCount++;
        if (alivenow.Global.QueCount > 10) {
            Game.gameObj.game.state.start("Form");
        }
        else {
            var QueNo = 'q' + alivenow.Global.QueCount;
            Game.gameObj.AnimAns1.destroy();
            Game.gameObj.AnimAns2.destroy();
            Game.gameObj.Que.text = jsonQ['ques'][QueNo].question.toUpperCase();
            Game.gameObj.Que.align = 'center';
            Game.gameObj.Que.x = Game.gameObj.game.width / 2 - Game.gameObj.Que.textWidth / 2;
            Game.gameObj.Ans1.text = jsonQ['ques'][QueNo].opt1.toUpperCase();
            Game.gameObj.rectGrap1 = Game.gameObj.game.add.graphics(0, 0);
            Game.gameObj.rectGrap1.beginFill(0xffffff, 0);
            Game.gameObj.rectGrap1.drawRect(80, 615, 230, 170);
            Game.gameObj.rectGrap1.endFill();
            Game.gameObj.rectGrap1.inputEnabled = true;
            Game.gameObj.rectGrap1.events.onInputDown.add(Game.gameObj.NextQue, {
                param1: "Ans1"
                , param2: jsonQ['ques'][QueNo].opt1.toUpperCase()
            });
            Game.gameObj.Ans2.text = jsonQ['ques'][QueNo].opt2.toUpperCase();
            Game.gameObj.rectGrap2 = Game.gameObj.game.add.graphics(0, 0);
            Game.gameObj.rectGrap2.beginFill(0xffffff, 0);
            Game.gameObj.rectGrap2.drawRect(380, 615, 230, 170);
            Game.gameObj.rectGrap2.endFill();
            Game.gameObj.rectGrap2.inputEnabled = true;
            Game.gameObj.rectGrap2.events.onInputDown.add(Game.gameObj.NextQue, {
                param1: "Ans2"
                , param2: jsonQ['ques'][QueNo].opt1.toUpperCase()
            });
            arrow.destroy();
            Game.gameObj.Ans1.tint = '0xffffff';
            Game.gameObj.AnimAns1 = Game.gameObj.game.add.sprite(100, jsonQ['ques'][QueNo].y1, jsonQ['ques'][QueNo].animName1);
            Game.gameObj.AnimAns1.scale.setTo(1.5, 1.5);
            Game.gameObj.AnimAns1.animations.add('coffee', Phaser.Animation.generateFrameNames('radio00', 01, jsonQ['ques'][QueNo].frameEnd1), 120, false);
            Game.gameObj.AnimAns1.animations.play('coffee');
            Game.gameObj.Ans2.tint = '0xffffff';
            Game.gameObj.AnimAns2 = Game.gameObj.game.add.sprite(380, jsonQ['ques'][QueNo].y2, jsonQ['ques'][QueNo].animName2);
            Game.gameObj.AnimAns2.scale.setTo(1.5, 1.5);
            Game.gameObj.AnimAns2.animations.add('tea', Phaser.Animation.generateFrameNames('radio00', 01, jsonQ['ques'][QueNo].frameEnd2), 120, false);
            Game.gameObj.AnimAns2.animations.play('tea');
        }
    }
    return Game;
})();