var alivenow = alivenow || {};
alivenow.Main = (function () {
    function Main() {}
    Main.prototype.init = function () {
        var g = new Phaser.Game(640, 960, Phaser.AUTO, "game-area", {
            create: this.create
            , preload: this.preload
            , rotateMe: this.rotateMe
        }, true);
        g.state.add('GLoader', alivenow.ResourceLoader);
        g.state.add('Title', alivenow.Title);
        g.state.add('Game', alivenow.Game);
        g.state.add('Code', alivenow.Code);
        g.state.add('Form', alivenow.Form);
        g.state.add('Thank', alivenow.Thank);
        g.state.add('Share', alivenow.Share);
        g.state.add('codeForm', alivenow.codeForm);
    };
    Main.prototype.preload = function () {
        alivenow.Global.game = this.game;
        alivenow.Global.rotateHandler = this.rotateMe;
    };
    Main.prototype.create = function () {
        this.scale.scaleMode = Phaser.ScaleManager.SHOW_ALL;
        this.scale.fullScreenScaleMode = Phaser.ScaleManager.SHOW_ALL;
        this.scale.compatibility.orientationFallback = 'viewport';
        this.scale.pageAlignVertically = true;
        this.scale.pageAlignHorizontally = true;
        this.game.time.advancedTiming = true;
        window.addEventListener("resize", this.rotateMe.bind(this));
        this.rotateMe.call(this);
        this.game.state.start("GLoader");
    };
    Main.prototype.rotateMe = function () {
        var img = document.getElementById("rotate");
        if (!alivenow.Global.skipRotationHandle) {
            /*if (window.innerWidth > window.innerHeight) {
                img.style.display = "block";
                img.style.width = String(window.innerWidth) + "px";
                img.style.height = String(window.innerHeight) + "px";
                img.style.top = "0px";
                img.style.left = "0px";
                alivenow.Global.game.paused = true;
                alivenow.Global.game.canvas.style.visibility = "hidden";
            }
            else {
                img.style.display = "none";
                img.style.width = "0px";
                img.style.height = "0px";
                alivenow.Global.game.stage.visible = !(alivenow.Global.game.paused = false);
                alivenow.Global.game.canvas.style.visibility = "visible";
            }*/
        }
    }
    return Main;
})();