var alivenow = alivenow || {};
alivenow.ResourceLoader = (function () {
    function ResourceLoader() {}
    ResourceLoader.prototype.init = function () {
        this.game.load.onFileComplete.add(this.progress, this);
        this.g = this.add.graphics(0, 0);
        this.t = this.add.text(300, 455, "0 %", {
            fill: "#fffff"
        });
        this.setPercentage(0);
        this.v = this.add.graphics(0, 0);
    };
    ResourceLoader.prototype.progress = function (p) {
        this.setPercentage(p);
    };
    ResourceLoader.prototype.setPercentage = function (p) {
        this.t.text = String(p) + " %";
        var w = p / 100 * 410;
        this.g.clear();
        this.g.beginFill(0x2ecede, 1);
        this.g.lineStyle(1, 0x2ecede, 0.1);
        this.g.drawRect(130, 450, w, 38);
        this.g.endFill();
        this.g.lineStyle(5, 0x000, 1);
        this.g.drawRect(130, 450, 410, 38);
    };
    ResourceLoader.prototype.preload = function () {
        this.game.load.image('arrow', 'assets/images/arrow.png');
        this.game.load.image('BG', 'assets/images/BG.jpg');
        this.game.load.image('instBG', 'assets/images/Instruction-BG.jpg');
        this.game.load.image('code', 'assets/images/code.png');
        this.game.load.image('nocode', 'assets/images/nocode.png');
        this.game.load.image('callfriends', 'assets/images/CallFriends.png');
        this.game.load.image('sharescore', 'assets/images/ShareScore.png');
        this.game.load.image('Meter', 'assets/images/Meter.png');
        this.game.load.image('Pin', 'assets/images/Pin.png');
        this.game.load.image('CodeBG', 'assets/images/CodeBG.png');
        this.game.load.image('TellFriend', 'assets/images/TellFriend.png');
        this.game.load.bitmapFont("font1", 'assets/images/font1.png', 'assets/images/font1.xml');
        this.game.load.atlas('apple', 'assets/images/apple.png', 'assets/images/apple.json');
        this.game.load.atlas('mobile', 'assets/images/android.png', 'assets/images/android.json');
        this.game.load.atlas('headphone', 'assets/images/headphone.png', 'assets/images/headphone.json');
        this.game.load.atlas('radio', 'assets/images/radio.png', 'assets/images/radio.json');
        this.game.load.atlas('coffee', 'assets/images/coffee.png', 'assets/images/coffee.json');
        this.game.load.atlas('tea', 'assets/images/tea.png', 'assets/images/tea.json');
        this.game.load.atlas('door', 'assets/images/door.png', 'assets/images/door.json');
        this.game.load.atlas('dooropen', 'assets/images/dooropen.png', 'assets/images/dooropen.json');
        this.game.load.atlas('tedy', 'assets/images/tedy.png', 'assets/images/tedy.json');
        this.game.load.atlas('tent', 'assets/images/tent.png', 'assets/images/tent.json');
        this.game.load.atlas('joker', 'assets/images/funny.png', 'assets/images/funny.json');
        this.game.load.atlas('batman', 'assets/images/joke.png', 'assets/images/joke.json');
        this.game.load.atlas('front', 'assets/images/front.png', 'assets/images/front.json');
        this.game.load.atlas('back', 'assets/images/back.png', 'assets/images/back.json');
        this.game.load.atlas('guitar', 'assets/images/guitar.png', 'assets/images/guitar.json');
        this.game.load.atlas('guitar1', 'assets/images/guitar1.png', 'assets/images/guitar1.json');
        this.game.load.atlas('women', 'assets/images/women.png', 'assets/images/women.json');
        this.game.load.atlas('avtar', 'assets/images/avtar.png', 'assets/images/avtar.json');
        this.game.load.atlas('drink1', 'assets/images/drink1.png', 'assets/images/drink1.json');
        this.game.load.atlas('drink2', 'assets/images/drink2.png', 'assets/images/drink2.json');
        this.game.load.text('ques', 'assets/images/ques.json');;
    };
    ResourceLoader.prototype.create = function () {
        this.game.state.start("Title");
    };
    return ResourceLoader;
})();