var alivenow = alivenow || {};
alivenow.codeForm = (function () {
    function codeForm() {};
    codeForm.prototype = Object.create(Phaser.State.prototype);
    codeForm.prototype.constructor = codeForm;
    codeForm.prototype.init = function () {};
    codeForm.prototype.preload = function () {};
    codeForm.prototype.create = function () {
        codeForm.game = this;
        alivenow.Global.skipRotationHandle = true;
        alivenow.Global.currentView = "eform";
        // this.game.add.sprite(0,0,"formScr");
        this.scale.stopFullScreen();
        $('.eformdiv').css('display', 'block');
        $('.eformdiv').css('display', 'table');
        $('canvas').hide();
        $("#eformSubmitButton").on("click", this.handleSubmit);
        $("#backButton").on("click", this.handleBack);
        // this.scale.startFullScreen();
        $("#modalBtn").click(function () {
            $("#myModal").modal('show')
        })
        $('.code').keyup(function () {
            $(this).parent().next().find('.code').focus();
        });
    };
    codeForm.prototype.handleBack = function () {
        $("#eformdiv").hide();
        $('canvas').show();
        alivenow.Global.game.state.start("Title");
    }
    codeForm.prototype.handleSubmit = function () {
        var acode = String(document.getElementById("acode").value);
        var bcode = String(document.getElementById("bcode").value);
        var ccode = String(document.getElementById("ccode").value);
        var dcode = String(document.getElementById("dcode").value);
        var code = acode + bcode + ccode + dcode;
        var code = parseInt(code);
        var eindicate = $("#eindicate");
        if (acode.length <= 0 || bcode.length <= 0 || ccode.length <= 0 || dcode.length <= 0) {
            eindicate.removeClass("hidden");
            document.getElementsByClassName("eerrormessage")[0].innerHTML = "Please Enter the correct code";
            return false;
        }
        eindicate.addClass("hidden");
        _server.send(alivenow.Global.URL_GETCODE, codeForm.prototype.showResult, null, {
            uniqID: alivenow.Global.U_ID
            , saveType: "codeMatch"
            , code: code
        });
        alivenow.Global.Fcode = code;
        // alivenow.Global.formSubmitted = true;
        alivenow.Global.skipRotationHandle = false;
    };
    codeForm.prototype.showResult = function (data) {
        data = $.parseJSON(data)
        if (data.status == '402') {
            $('#eindicate').removeClass("hidden");
            $('.eerrormessage').html(data.message);
        }
        else {
            $("#eformdiv").hide();
            $('canvas').show();
            alivenow.Global.FriendMatch = true;
            alivenow.Global.game.state.start("Game");
        }
    }
    return codeForm;
})();