var alivenow = alivenow || {};
alivenow.Form = (function () {
    function Form() {};
    Form.prototype = Object.create(Phaser.State.prototype);
    Form.prototype.constructor = Form;
    Form.prototype.init = function () {};
    Form.prototype.preload = function () {};
    Form.prototype.create = function () {
        Form.game = this;
        alivenow.Global.skipRotationHandle = true;
        alivenow.Global.currentView = "form";
        this.scale.stopFullScreen();
        $('.formdiv').css('display', 'block');
        $('.formdiv').css('display', 'table');
        $('canvas').hide();
        $("#formSubmitButton").on("click", this.handleSubmit);
        // this.scale.startFullScreen();
        $("#modalBtn").click(function () {
            $("#myModal").modal('show')
        })
    };
    Form.prototype.handleSubmit = function () {
        var name = String(document.getElementById("name").value);
        var email = String(document.getElementById("email").value);
        var tandc = document.getElementById("field_terms").checked;
        var indicate = $("#indicate");
        if (name.length <= 0) {
            indicate.removeClass("hidden");
            document.getElementsByClassName("errormessage")[0].innerHTML = "Please Enter Your Name";
            return false;
        }
        if (email.length <= 0) {
            indicate.removeClass("hidden");
            document.getElementsByClassName("errormessage")[0].innerHTML = "Please Enter Email Id";
            return false;
        }
        var re = /^([\w-]+(?:\.[\w-]+)*)@((?:[\w-]+\.)*\w[\w-]{0,66})\.([a-z]{2,6}(?:\.[a-z]{2})?)$/i;
        var m = re.test(email);
        if (!m) {
            indicate.removeClass("hidden");
            document.getElementsByClassName("errormessage")[0].innerHTML = "Please Enter Correct Email Id";
            return false;
        }
        if (!tandc) {
            indicate.removeClass("hidden");
            document.getElementsByClassName("errormessage")[0].innerHTML = "Please accept the terms and conditions!";
            return false;
        }
        indicate.addClass("hidden");
        _server.send(alivenow.Global.URL_DATA, Form.prototype.showData, null, {
            uniqID: alivenow.Global.U_ID
            , saveType: "data"
            , name: name
            , email: email
        });
        alivenow.Global.formSent = true;
        alivenow.Global.formSubmitted = true;
        $("#formdiv").hide();
        $('canvas').show();
        alivenow.Global.skipRotationHandle = false;
        if (alivenow.Global.FriendMatch) {
            alivenow.Global.game.state.start("Thank");
        }
        else {
            alivenow.Global.game.state.start("Code");
        }
    };
    Form.prototype.showData = function (data) {
        console.log(data)
    }
    return Form;
})();